Subject: Re: bug#30141: 26.0.91; text-pixel dimensions not properly saved by desktop-save-mode sometimes

From: martin rudalics <[email-masked]>
Date: Wed, 17 Jan 2018 10:12:45 +0100

> The code I introduced in 804b37ca63 to save and restore text-pixel dimensions appears
 > to be flaky because I do not always set the frame parameter
 > frameset--text-pixel-height, so it occasionally keeps the old value if
 > you size from a pixel size to a non-pixel size.

Can you please give a more detailed scenario of what happens in
practice.  Is this prevalence of pixel sizes something which occurs
after the frameset was restored or already during restoration?

 > Is it better to set that to nil every time

It shouldn't harm to do that.

 > or is there some code that is
 > missing that is meant to clear that frame parameter after restoring the desktop?

We probably should add code to reset all frame parameters installed by
`frameset--record-relationships' after the frameset has been restored.

BTW I've never been able to understand why we don't have code to
remove frame and window parameters.  'frameset--' parameters are just
gruft for the following session IIUC.

martin